# Interface methods for submodule: ResampleImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: ResampleImageFilter
class ResampleImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def VerifyPreconditions(self) -> None:
		""""""
		...

	def SetTransformInput(self, _arg) -> None:
		""""""
		...

	def SetTransform(self, _arg) -> None:
		""""""
		...

	def GetTransformInput(self):
		""""""
		...

	def GetTransform(self):
		""""""
		...

	def SetInterpolator(self, _arg) -> None:
		""""""
		...

	def GetModifiableInterpolator(self):
		""""""
		...

	def GetInterpolator(self):
		""""""
		...

	def SetExtrapolator(self, _arg) -> None:
		""""""
		...

	def GetModifiableExtrapolator(self):
		""""""
		...

	def GetExtrapolator(self):
		""""""
		...

	def SetSize(self, _arg: Sequence[int]) -> None:
		""""""
		...

	def GetSize(self) -> Sequence[int]:
		""""""
		...

	@overload
	def SetDefaultPixelValue(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetDefaultPixelValue(self, _arg: Tuple[int, int, int, int]) -> None:
		""""""
		...

	@overload
	def SetDefaultPixelValue(self, _arg: Tuple[int, int, int]) -> None:
		""""""
		...

	@overload
	def SetDefaultPixelValue(self, _arg: int) -> None:
		""""""
		...

	@overload
	def SetDefaultPixelValue(self, _arg: Sequence[float]) -> None:
		""""""
		...

	@overload
	def SetDefaultPixelValue(self, _arg) -> None:
		""""""
		...

	@overload
	def GetDefaultPixelValue(self) -> float:
		""""""
		...

	@overload
	def GetDefaultPixelValue(self) -> Tuple[int, int, int, int]:
		""""""
		...

	@overload
	def GetDefaultPixelValue(self) -> Tuple[int, int, int]:
		""""""
		...

	@overload
	def GetDefaultPixelValue(self) -> int:
		""""""
		...

	@overload
	def GetDefaultPixelValue(self) -> Sequence[float]:
		""""""
		...

	@overload
	def GetDefaultPixelValue(self):
		""""""
		...

	@overload
	def SetOutputSpacing(self, _arg: Sequence[float]) -> None:
		""""""
		...

	@overload
	def SetOutputSpacing(self, spacing) -> None:
		""""""
		...

	def GetOutputSpacing(self) -> Sequence[float]:
		""""""
		...

	@overload
	def SetOutputOrigin(self, _arg: Sequence[float]) -> None:
		""""""
		...

	@overload
	def SetOutputOrigin(self, origin) -> None:
		""""""
		...

	def GetOutputOrigin(self) -> Sequence[float]:
		""""""
		...

	def SetOutputDirection(self, _arg) -> None:
		""""""
		...

	def GetOutputDirection(self):
		""""""
		...

	def SetOutputParametersFromImage(self, image) -> None:
		""""""
		...

	def SetOutputStartIndex(self, _arg: Sequence[int]) -> None:
		""""""
		...

	def GetOutputStartIndex(self) -> Sequence[int]:
		""""""
		...

	def SetReferenceImage(self, _arg) -> None:
		""""""
		...

	def GetReferenceImage(self):
		""""""
		...

	def SetUseReferenceImage(self, _arg: bool) -> None:
		""""""
		...

	def UseReferenceImageOn(self) -> None:
		""""""
		...

	def UseReferenceImageOff(self) -> None:
		""""""
		...

	def GetUseReferenceImage(self) -> bool:
		""""""
		...

